Хочу подсветку синтаксиса при редактировании записей

Есть плагин Power Code Editor — он добавляет подсветку синтаксиса в Консоли (/Плагины → Редактор/ и /Внешний Вид → Редактор/), но не добавляет подсветку в HTML-редактор страниц и записей. А хотелось бы. Есть идеи?

Grawl
Оцените автора
Добавить комментарий

  1. Ruslan

    http://softwaremaniacs.org/soft/highlight/

    Ответить
    1. Ruslan

      можно подключить как юзер-скрипт в браузер => работает везде где хотите (greasemonkey)

      Ответить
      1. Grawl

        Я пользуюсь Google Chrome, и только-что попытался подключить этот скрипт к браузеру. Скачал «собственную версию» (выделил CSS, HTML, XML, Javascript, PHP и нажал «скачать»); распаковал архив; переименовал «highlight.pack.js» в «highlight.pack.user.js» (чтобы в Хроме установилось), открыл Хромом, установил — и грёбаное ничего. Даже js-файлы, открытые через Хром, не подсвечивает — не говоря уже о HTML-редакторе в Консоли WP.
        Но есть, всё-таки, что-то полезное в этом предложении: оно натолкнуло Меня на мысль использовать не плагин к WP, а аддон к Хрому. Впрочем, тщетно — попробовал пару решений, а толку — ноль :(

        Ответить
        1. Ruslan

          https://addons.mozilla.org/ru/firefox/addon/code-highlighter/
          есть аддон для лисы.
          они же как-то запускаются в хроме? попробуй

          Ответить
  2. tiaurus

    Я озадачивался таким же вопросом. Есть несколько интересных вариантов:
    WP Advanced Code Editor — https://n-wp.ru/kak-vklyuchit-redaktor-koda-wp-advanced-code-editor/
    WP Editarea — https://n-wp.ru/kak-udobno-redaktirovat-plaginyi-v-ad/

    Ответить
    1. Grawl

      WP Advanced Code Editor — вот то, что Я искал! Благодарю.
      (Правда, пришлось обновить версию самого Editarea внутри плагина, чтобы он не глючил в Chrome).

      Ответить
      1. tiaurus

        Выложил бы архив с обновленным редактором, чтобы другие не мучились :)

        Ответить
        1. Grawl

          Создал тему на офф. форуме WordPress: http://wordpress.org/support/topic/plugin-wp-advanced-code-editor-need-update?replies=1

          Плагин WP Advanced Code Editor 1.0 содержит в себе EditArea 0.7.2.3 js-модуль, и этот модуль делает ошибки при подсветке (проверял в Chrome). EditArea развился до версии 0.8.2. Я положил новую EditArea 0.8.2 в WP Advanced Code Editor 1.0 и делюсь этим: wp-advanced-code-editor-editarea08.zip.

          Где-то так. Пойдёт? (:

          Ответить